import org.kde.qt.*;

public class Tut6 extends QVBox {
	public Tut6() {
		QPushButton quit = new QPushButton("Quit", this, "quit");
		quit.setFont(new QFont("Times", 18, QFont.Bold, false));

		connect(quit, SIGNAL("clicked()"), qApp(), SLOT("quit()"));

		QGrid grid = new QGrid(4, this, null, 0);

		for(int c = 0; c < 4; c++)
			for(int r = 0; r < 4; r++)
				new LCDRange(grid);
	}
	
	public static void main(String[] args) {
		QApplication a = new QApplication(args);
		Tut6 w = new Tut6();
		
		a.setMainWidget(w);
		w.show();
		a.exec();
		return;
	}
	
	static {
		try {
			Class c = Class.forName("org.kde.qt.qtjava");
		} catch (Exception e) {
			e.printStackTrace();
			System.out.println("Can't load qtjava class");
		}
	}
}
